## glbumper

glbumper — Bump mapping filter

## Synopsis

    struct              GstGLBumper;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLBumper

## Properties

      "location"                 gchar*                : Read / Write

## Description

Bump mapping using the normal method.

### Examples

    1

    gst-launch -v videotestsrc ! glupload ! glbumper location=normalmap.bmp ! glimagesink

A pipeline to test normal mapping. FBO (Frame Buffer Object) and GLSL (OpenGL Shading Language) are required.

## Synopsis

### Element Information

plugin | opengl
author | Cyril Comparon <cyril.comparon@gmail.com>, Julien Isorce <julien.isorce@gmail.com>
class | Filter/Effect

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

name | src
direction | source
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

## Details

### struct GstGLBumper

    struct GstGLBumper;

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

Normal map location.

Default value: NULL